Subject: Re: bug#9823: request for more correct error reporting of mv

From: Assaf Gordon <[email-masked]>
Date: Mon, 22 Oct 2018 21:15:52 -0600

close 9823
stop

(triaging old bugs)

On 25/10/11 12:39 AM, Voelker, Bernhard wrote:
> Eric Blake wrote:
>> Like I said earlier, POSIX allows either ENOTEMPTY or EEXIST, and Linux
>> happened to choose ENOTEMPTY.  Maybe special-casing that error and
>> converting to EEXIST would produce better output.  But someone would
>> have to submit a patch.
> 
> I think mv is right to say "Directory not empty". Let's look at
> the opposite example, i.e. where the destination _is_ empty:

Given the above, and no further comments in 7 years,
I'm closing this bug.

-assaf